export const colorLegend = (selection, props) => {
  const   {colorScale, height, circleR, spacing, textOff} = props
   
	const groups = selection.selectAll('g')
  			.data(colorScale.domain());
  const groupEnter = groups.enter().append('g')
  					
	groupEnter.merge(groups)
      .attr('transform', 
              (d, i) => `translate(0, ${i * spacing})`)
  
	groups.exit()
  		.attr('r', 0)
      .remove();
  
  groupEnter.append('circle')
      	.attr('r', 0)
      .merge(groups.select('circle'))
        .attr('r', circleR)
        .attr('fill', colorScale);

  
  groupEnter.append('text')
		.merge(groups.select('text'))
  		.text(d => d)
  		.attr('dy', '0.32em')
  		.attr('x', textOff);
  	
};


