import { select, range, scaleOrdinal, scaleSqrt } from 'd3';
import { colorLegend } from './colorLegend'
import { sizeLegend } from './sizeLegend'

const svg = select('svg');
const height = +svg.attr('height'); 

const colorScale = scaleOrdinal()
	.domain(['apple','lemon', 'orange'])
	.range(['darkred', 'orange', 'orange']);


svg.append('g')
		.attr('transform', `translate(200 ,30)`)
		.call(colorLegend, {
  		colorScale,
  		circleR : 10,
  		spacing: 50,
   		textOff: 100,
});

const sizeScale = scaleSqrt()
	.domain([0, 10])
	.range([0, 50]);

svg.append('g')
		.attr('transform', `translate(600 ,30)`)
		.call(sizeLegend, {
  		sizeScale,
  		spacing: 100,
   		textOff: 100,
});







