export const sizeLegend = (selection, props) => {
  const   {sizeScale, spacing, textOff} = props;
   
  const ticks = sizeScale.ticks(5).filter( d=> d !== 0);
  
	const groups = selection.selectAll('g')
  			.data(ticks);
  const groupEnter = groups.enter().append('g')
  					
	groupEnter.merge(groups)
      .attr('transform', 
              (d, i) => `translate(0, ${i * spacing})`)
  
	groups.exit()
  		.attr('r', 0)
      .remove();
  
  groupEnter.append('circle')
      	.attr('r', 0)
      .merge(groups.select('circle'))
        .attr('r', d=> sizeScale(d))
        .attr('fill', 'black');

  
  groupEnter.append('text')
		.merge(groups.select('text'))
  		.text(d => d)
  		.attr('dy', '0.32em')
  		.attr('x', textOff);
  
};


